%define lib_major	0
%define	lib_name	%mklibname %{name} %{lib_major}
%define develname	%mklibname %{name} -d

Summary:	An SNMP library implementation based on glib and gnet
Name:		gsnmp
Version:	0.3.0
Release:	%mkrel 16
License:	GPLv2
Group:		Networking/Other
URL:		https://www.ibr.cs.tu-bs.de/projects/scli/
Source0:	ftp://ftp.ibr.cs.tu-bs.de/local/gsnmp/%{name}-%{version}.tar.bz2
Patch0:		gsnmp-linkage_fix.diff
# (fc) 0.3.0-2mdv fix m4 warning
Patch1:		gsnmp-0.3.0-fix-underquoted-warning.patch
Patch2:		gsnmp-0.3.0-automake-1.13.patch
Patch3:		gsnmp-fix-building-with-gcc14.patch
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	libglib2-devel
BuildRequires:	pkgconfig(gnet-2.0)

%description
GNET-SNMP is an SNMP library implementation based on glib and gnet. This
library has been developed as part of the scli package (an SNMP command line
interface).  Some examples demonstrating the API can be found in the examples
directory.  Some examples use stub files generated by the smidump MIB compiler,
which is part of the libsmi package.

%package -n	%{lib_name}
Summary:	A library of functions for the snmp protocol
Group:		System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with libgsnmp.

%package -n 	%{develname}
Summary:	Development tools for the snmp protocol
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release} glib2-devel
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{lib_name}-devel

%description -n %{develname}
This package contains the header files and libraries
necessary for developing programs using libgsnmp.

%prep

%setup -q
%patch -P 0 -p0
%patch -P 1 -p1 -b .fix_underquoted
%patch -P 2 -p1 -b .automake-1_13
%patch -P 3 -p1 -b .gcc14

%build
export CFLAGS="%{optflags} -std=gnu17"
autoreconf -fis

%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog NEWS README 
%{_bindir}/gsnmp-get
%{_mandir}/man1/gsnmp-get.*

%files -n %{lib_name}
%{_libdir}/libgsnmp.so.%{lib_major}
%{_libdir}/libgsnmp.so.%{lib_major}.*

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/libgsnmp.a
%{_libdir}/libgsnmp.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4


%changelog
* Thu May 15 2025 ns80 <ns80> 0.3.0-16.mga10
+ Revision: 2183633
- try to fix building with GCC 15

* Wed Oct 16 2024 ns80 <ns80> 0.3.0-15.mga10
+ Revision: 2107329
- try to fix building with GCC 14

* Sat Mar 19 2022 umeabot <umeabot> 0.3.0-14.mga9
+ Revision: 1799397
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 mrambo3501 <mrambo3501> 0.3.0-13.mga9
+ Revision: 1789886
- fix files list

* Thu Aug 20 2020 ovitters <ovitters> 0.3.0-12.mga8
+ Revision: 1616875
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Thu Feb 13 2020 umeabot <umeabot> 0.3.0-11.mga8
+ Revision: 1512708
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.3.0-10.mga7
+ Revision: 1298090
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 04 2016 umeabot <umeabot> 0.3.0-9.mga6
+ Revision: 935092
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-8.mga5
+ Revision: 748487
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-7.mga5
+ Revision: 679964
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-6.mga4
+ Revision: 505346
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 cjw <cjw> 0.3.0-5.mga3
+ Revision: 352820
- patch2: fix build with automake 1.13
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 23 2011 ennael <ennael> 0.3.0-4.mga1
+ Revision: 58121
- imported package gsnmp


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-4mdv2011.0
+ Revision: 605504
- rebuild

* Tue Mar 16 2010 Frederic Crozat <fcrozat@mandriva.com> 0.3.0-3mdv2010.1
+ Revision: 521934
- Fix typo in patch1

* Thu Mar 11 2010 Frederic Crozat <fcrozat@mandriva.com> 0.3.0-2mdv2010.1
+ Revision: 517973
- Patch1: fix m4 warning
- run autoreconf at prep time, not build time

* Fri Feb 19 2010 Frederik Himpe <fhimpe@mandriva.org> 0.3.0-1mdv2010.1
+ Revision: 508526
- update to new version 0.3.0

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.2.0-6mdv2010.0
+ Revision: 425048
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-5mdv2009.0
+ Revision: 234827
- fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix description-line-too-long

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.2.0-3mdv2008.1
+ Revision: 150239
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Crispin Boylan <crisb@mandriva.org>
    - Bump release

* Sun Aug 19 2007 Crispin Boylan <crisb@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 66724
- New devel naming policy

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Tue Jan 16 2007 Crispin Boylan <crisb@mandriva.org> 0.2.0-1mdv2007.0
+ Revision: 109642
- Initial mandriva package
- Create gsnmp

